RCP(1)

NAME
rcp - fa una copia remota di un file

SINTASSI
rcp [-Kpx] [-k realm] file1 file2 rcp [-Kprx] [-k realm] file ... directory

DESCRIZIONE
Rcp copia file tra macchine. Ciascun argomento file o directory può essere un nome di file remoto nella forma ``rname@rhost:path'', o il nome di un file locale (non contenente i caratteri `:', o `/' prima di `:').

-K  L'opzione -K disattiva tutte le autenticazioni Kerberos.

-k  L'opzione -k richiede rcp per ottenere biglietti per l'host remoto nel regno realm invece del regno dell'host remoto determinato da krb_realmofhost(3).

-p  L'opzione -p fa sì che rcp tenti di preservare (duplicare) nele proprie copie gli orari di modifica e i premessi del file sorgente, ignorando la umask. Per default permessi e proprietario di file2 sono preservati se essi esistono giù; altrimenti vengono usati i permessi del file sorgente modificati dalla umask(2) sull'host di destinazione.

-r  Se qualunque dei file sorgenti è una directory, rcp copia ciascun sottoalbero collegato a tale nome; in questo caso la destinazione deve essere una directory.

-x  L'opzione -x attiva la cifratura DES per tutti i dati passati da rcp. Questo può avere un impatto sul tempo di risposta e sull'utilizzo della CPU ma fornisce una maggiore sicurezza.

Se path non è un nome di percorso completo esso è interpretato relativamente alla directory di login dell'utente specificato ruser su rhost, o il proprio nome utente corrente se non è specificato nessun altro nome utente remoto. Un path su un host remoto può essere virgolettato (usando \, ", o ´) in modo che i metacaratteri siano interpretati remotamente.

Rcp non chiede password; esso realizza l'esecuzione remota attraverso rsh(1), e richiede la stessa autorizzazione.

Rcp maneggia copie di terze parti, dove nè i file sorgente nè i file destinzaione sono sulla macchina corrente.

VEDERE ANCHE
cp(1), ftp(1), rsh(1), rlogin(1)

STORIA
Il comando rcp è apparso nella 4.2BSD. La versione di rcp descritta qui è stata reimplementata con Kerberos in RenoBSD 4.3.

BUG
Non rileva tutti i casi in cui la destinazione di una copia può essere un file nei casi in cui solo una directory può essere legale.

Se confuso da qualunque output generato da comandi in un file .login, .profile, o .cshrc sull'host remoto.

Nome hnost e utente destinatario devono essere specificati come ``rhost.rname'' quando sulla macchina destinataria funzione la versione 4.2BSD di rcp.